save_joystick_data(3)

NAME
save_joystick_data - Saves joystick calibration data. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int save_joystick_data(const char *filename);

DESCRIPTION
After all the headache of calibrating the joystick, you may not want to make your poor users repeat the process every time they run your program. Call this function to save the joystick calibration data into the specified configuration file, from which it can later be read by load_joystick_data(). Pass a NULL filename to write the data to the currently selected configuration file.

RETURN VALUE
Returns zero on success, non-zero if the data could not be saved.

SEE ALSO
load_joystick_data(3), set_config_file(3)